Bug 35218 - Support Greek Numbering Style for Lists
Summary: Support Greek Numbering Style for Lists
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-11 08:35 UTC by Pantelis Koukousoulas
Modified: 2011-06-02 04:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
patch that implements the greek numbering system functionality (9.29 KB, patch)
2011-03-11 08:35 UTC, Pantelis Koukousoulas
Details
Greek numbers in LibreOffice (demo PDF) (116.45 KB, application/pdf)
2011-05-28 07:16 UTC, Simos Xenitellis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pantelis Koukousoulas 2011-03-11 08:35:36 UTC
Created attachment 44361 [details]
patch that implements the greek numbering system functionality

See http://openoffice.org/bugzilla/show_bug.cgi?id=91143

People have asked for support for Greek Numbering style for Lists.
Quoting "johntolkien" (initial reporter of the above bug)

"It would be nice if it was possible to use Greek Characters in the Numbering
styles of "Bullets and Numbering". (Please consider consulting a native Greek
speaker for the order of the characters which is to be used for such a
numbering style.)"

The patch that implements this functionality is attached.
Comment 1 Simos Xenitellis 2011-03-11 09:32:35 UTC
The patch is ready to commit and is fine with me.

Thanks Pantelis!
Comment 2 Thorsten Behrens (CIB) 2011-03-14 12:36:39 UTC
Many thanks for this nice fix, pushed to master.
Comment 3 Simos Xenitellis 2011-05-28 07:16:50 UTC
Created attachment 47253 [details]
Greek numbers in LibreOffice (demo PDF)

As requested, I am attaching a demonstration PDF document that shows Greek numbers in LibreOffice.

The number 6 us στ in Greek. In ancient Greek there used to be some other single character which is obscure to modern Greek. In modern Greek, people know about στ (or ΣΤ).

You can apply Greek numbers to both lists and chapters.